#ifndef __SCILABTHREAD__
#define __SCILABTHREAD__

#include <wx/thread.h>
#include <wx/string.h>
#include <map>
#include <fstream>

class ScilabThread : public wxThread {
static wxCriticalSection	scilabLibre;
wxString					item;
std::ofstream				gg2;
char						scilabActif;

public:
void*						sock;
long						tpsCreation;	
std::map<wxString,wxString> variableCGI;
wxString					nomDossierScilab;
wxString					nomDossierResultat;
wxString					nomDossierLog;


ScilabThread(wxString s,char scilabInactif=0);
~ScilabThread();
ExitCode Entree();
int ScilabJob(wxString &s);
int ScilabJob(char *s);
protected:
virtual ExitCode Entry();
wxString ExtraireNomParamValParam(int indParam,wxString param,wxString &nomParam,wxString &valParam);
};

#endif
