#ifndef WX_PRECOMP
    #include "wx/wx.h"
#else
#include <wx/wxprec.h>
#endif


#include "wx/busyinfo.h"
#include <wx/file.h>
#include <wx/textfile.h>

#include "call_scilab.h" /* Provide functions to call Scilab engine */

#include "ScilabThread.h"
#include <fstream>

using namespace std;

int main(int argc, char **argv)
{
wxAppConsole::CheckBuildOptions(WX_BUILD_OPTIONS_SIGNATURE, "program");

wxInitializer initializer;
if ( !initializer )
	{
    fprintf(stderr, "Failed to initialize the wxWidgets library, aborting.");
    return -1;
	}

if (argc!=2)
	return -2;

wxString nomFic(argv[1]);

wxTextFile f(nomFic);
f.Open();
if (f.IsOpened())
	{
	wxString item= f.GetFirstLine();

	ScilabThread     *m_pThread = new ScilabThread(item);
	m_pThread->Entree();
	return 0;
	}
return -1;
}
